#include "Location.h"

#include <SimoxUtility/algorithm/string.h>

#include <ArmarXCore/core/exceptions/local/ExpressionException.h>

namespace armarx::priorknowledge::util
{
    std::string
    LocationId::toString() const
    {
        return sourceId + "/" + toStringWithoutSourceId();
    }

    std::string
    LocationId::toStringWithoutSourceId() const
    {
      if (! prefix.empty())
      {
        return prefix + "/" + name;
      }
      return name;
    }

} // namespace armarx::priorknowledge::util
